> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get minimal NVR state list

> Get basic state information about all NVRs in organization



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/relay/getMinimalNVRStateList
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/relay/getMinimalNVRStateList:
    post:
      tags:
        - Relay Webservice
      summary: Get minimal NVR state list
      description: Get basic state information about all NVRs in organization
      operationId: getMinimalNVRStateList
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Relay_GetMinimalNVRStateListWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Relay_GetMinimalNVRStateListWSResponse'
          description: OK
components:
  schemas:
    Relay_GetMinimalNVRStateListWSRequest:
      type: object
      description: >-
        Request object for getting basic state information about all NVRs in the
        organization.
    Relay_GetMinimalNVRStateListWSResponse:
      type: object
      description: >-
        Response object containing basic state information about all NVRs in the
        organization.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        nvrstates:
          type: array
          description: >-
            List of minimal NVR state information for all NVRs in the
            organization
          items:
            $ref: '#/components/schemas/MinimalNVRStateType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    MinimalNVRStateType:
      type: object
      description: List of minimal NVR state information for all NVRs in the organization
      properties:
        connectionStatus:
          $ref: '#/components/schemas/DeviceStatusEnum'
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        defaultInterface:
          type: string
          nullable: true
        defaultInterfaceMac:
          type: string
          nullable: true
        directionRadians:
          type: number
          format: float
          nullable: true
        externalIPAddress:
          type: string
          nullable: true
        facetNameMap:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        firmwareUpdateInProgress:
          type: boolean
          nullable: true
        firmwareVersion:
          type: string
          nullable: true
        floorNumber:
          type: integer
          format: int32
          nullable: true
        healthStatus:
          $ref: '#/components/schemas/DeviceStatusEnum'
        healthStatusDetails:
          $ref: '#/components/schemas/DeviceHealthStatusDetailsEnum'
        hwVariation:
          $ref: '#/components/schemas/HardwareVariationEnum'
        lanAddresses:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        latitude:
          type: number
          format: double
          nullable: true
        liveStreamShared:
          type: boolean
          nullable: true
        liveStreamsSharedCount:
          type: integer
          format: int32
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        longitude:
          type: number
          format: double
          nullable: true
        mediaRegion:
          type: string
          nullable: true
        mediaStorageDeviceUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        mummified:
          type: boolean
          nullable: true
        name:
          type: string
          nullable: true
        numThirdPartyCamerasAssigned:
          type: integer
          format: int32
          nullable: true
        numThirdPartyCamerasSupported:
          type: integer
          format: int32
          nullable: true
        policyUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        region:
          type: string
          nullable: true
        secondaryLanAddresses:
          type: array
          items:
            type: string
            nullable: true
          nullable: true
        serialNumber:
          type: string
          nullable: true
        ssid:
          type: string
          nullable: true
        subLocationsHierarchyKey:
          type: string
          format: SubLocationsHierarchyKey
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
        supportedFacets:
          type: array
          items:
            $ref: '#/components/schemas/DeviceFacetEnum'
          nullable: true
          uniqueItems: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        wifiApMac:
          type: string
          nullable: true
        wifiBars:
          type: integer
          format: int32
          nullable: true
        wifiSignalStrength:
          type: integer
          format: int32
          nullable: true
    DeviceStatusEnum:
      type: string
      enum:
        - RED
        - ORANGE
        - YELLOW
        - GREEN
    DeviceHealthStatusDetailsEnum:
      type: string
      enum:
        - DISCONNECTED
        - FIRMWARE_BEHIND
        - NOT_RECORDING
        - LINK_SPEED_LOW
        - MALFUNCTIONING_MODULES
        - CALIBRATING
        - DELAYED
        - NONE
    HardwareVariationEnum:
      type: string
      enum:
        - RASPBERRY_PI_3
        - CAMERA_R1
        - CAMERA_R2
        - CAMERA_R2_LONG_RANGE
        - CAMERA_R2_180
        - CAMERA_R3
        - CAMERA_R4
        - CAMERA_R100
        - CAMERA_R120
        - CAMERA_R170
        - CAMERA_R200
        - CAMERA_R500
        - CAMERA_R510
        - CAMERA_R520
        - CAMERA_R600
        - SENSOR_ASSET_TAG_T1
        - SENSOR_DOOR_D1
        - SENSOR_DOOR_D20
        - SENSOR_ENVIRONMENTAL_E1
        - SENSOR_ENVIRONMENTAL_E15
        - SENSOR_ENVIRONMENTAL_E2
        - SENSOR_MOTION_M1
        - SENSOR_MOTION_M15
        - GATEWAY_A1
        - GATEWAY_A100
        - GATEWAY_ENVIRONMENTAL_E50
        - CAMERA_R220
        - CAMERA_R230
        - CAMERA_R36S
        - CAMERA_R410
        - CAMERA_R540
        - CAMERA_R545
        - BADGE_READER_DR1
        - BADGE_READER_DR40
        - BADGE_READER_DR20
        - DOOR_CONTROLLER_DC1
        - DOOR_CONTROLLER_DC20
        - DOOR_CONTROLLER_DC10
        - ETHERNET_TESTER_ET1
        - IO_BOARD_TB1
        - BLE_BUTTON_B10
        - BLE_BUTTON_B15
        - CAMERA_THIRD_PARTY_RELAY
        - CAMERA_THIRD_PARTY_NVR
        - NVR_N100
        - CAMERA_R130
        - NVR_N500
        - CAMERA_R150
        - ROBOT_RC1
        - CAMERA_R210
        - CAMERA_R650
        - UNSPECIFIED
    DeviceFacetEnum:
      type: string
      format: DeviceFacet
      description: facet information for media
      enum:
        - ''
        - v0
        - v1
        - v2
        - v3
        - a0
        - v4
        - v5
        - v6
        - v7
        - v8
        - v9
        - v10
        - v11
        - v12
        - v13
        - v14
        - v15
        - v16
        - v17
        - v18
        - v19
        - v20
        - v21
        - v22
        - v23
        - v24
        - v25
        - v26
        - v27
        - v28
        - v29
        - v30
        - v31
        - v32
        - v33
        - v34
        - v35
        - v36
        - v37
        - v38
        - v39
        - v40
        - v41
        - v42
        - v43
        - v44
        - v45
        - v46
        - v47
        - v48
        - v49
        - v50
        - v51
        - a1
        - a2
        - a3
        - a4
        - a5
        - a6
        - a7
        - a8
        - a9
        - a10
        - a11
        - a12
        - a13
        - a14
        - a15
        - a16
        - a17
        - a18
        - a19
        - a20
        - a21
        - a22
        - a23
        - a24
        - a25
        - a26
        - a27
        - a28
        - a29
        - a30
        - a31
        - a32
        - a33
        - a34
        - a35
        - a36
        - a37
        - a38
        - a39
        - a40
        - a41
        - a42
        - a43
        - a44
        - a45
        - a46
        - a47
        - a48
        - a49
        - a50
        - a51
      example: v0, a0
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````